 /* Mods by G1EMM */
#ifndef _BM_H
#define _BM_H

#ifndef _MAILBOX_H
#include "mailbox.h"
#endif
#ifndef _SMTP_H
#include "smtp.h"
#endif
#ifndef _MAILUTIL_H
#include "mailutil.h"
#endif

/* bm.h -- definitions for bmutil.c that aren't included elsewhere */

/* number of columns and lines on a standard display, e.g. vt100 */
#define	MAXCOL		80
#define MAXLIN		24

#define MAXBUF		160

/* message status */
#define	BM_DELETE	1
#define	BM_READ		2
#define	BM_FORWARDED	4
#define BM_RRECEIPT     8
#define BM_PERMANENT    0x2000
#define BM_ONHOLD       0x4000

#define BM_NLET		200	/* default size of letter array */

#define SLINELEN	64
#define LINELEN		256

extern unsigned Maxlet;		/* max messages */
#if 0
extern char *fgets();
#endif
extern char *Hdrs[];
extern int MbHolding;

void getlastread __ARGS((struct mbx *m));
void setlastread __ARGS((struct mbx *m));
void scanmail __ARGS((struct mbx *m));
int msgtofile __ARGS((struct mbx *m,int msg,FILE *tfile,int noheader));
int dolistnotes __ARGS((int argc,char *argv[],void *p));
int isarea __ARGS((char *name));
int dodelmsg __ARGS((int argc,char *argv[],void *p));
int doreadmsg __ARGS((int argc,char *argv[],void *p));
int doreadnext __ARGS((int argc,char *argv[],void *p));
int mbx_reply __ARGS((int argc,char *argv[],struct mbx *m,struct list **cclist,char **rhdr));
int closenotes __ARGS((struct mbx *m));
long isnewprivmail __ARGS((struct mbx *m));
int htype __ARGS((char *s));
char *getaddress __ARGS((char *string,int cont));
extern int tkeywait __ARGS((char *prompt,int flush,int linemode));
extern int mykeywait __ARGS((char *prompt,struct mbx *m));

#endif  /* _BM_H */
